import { FormSOP } from '../../libappsop/formsop';
import { ListSOP } from '../../libappsop/listsop';
import { DialogOperationFeedback } from '../dialogs/dialog.operationfeedback';

export class FormOperationFeedback extends FormSOP {
  public listOperationFeedback = new ListOperationFeedback();

  public constructor() {
    super('FormFeedbackOperations');
  }
}

export class ListOperationFeedback extends ListSOP<DialogOperationFeedback, ListOperationFeedbackColumn> {
  public static readonly title = 'Operation Feedback';

  public constructor() {
    super('FormFeedbackOperations.ListFeedbackOperations', new DialogOperationFeedback());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = { Unit: '', Routing: '', 'Routing Step': '' };
  }
}

export interface ListOperationFeedbackColumn {
  'All constraints'?: string;
  Routing?: string;
  'Routing Step'?: string;
  Unit?: string;
  Date?: string;
  Quantity?: string;
  Description?: string;
}

const listOperationFeedbackContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuFeedbackOperations', Name: 'MenuCreate', Label: 'Create' },
};

export { listOperationFeedbackContextMenuItem as ListOperationFeedbackContextMenuItem };
